Skip to main content
POST
/
v1
/
images
/
generations
/
async
Generate image
curl --request POST \
  --url https://api.siray.ai/v1/images/generations/async \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "aspect_ratio": "1:1",
  "chaos": 0,
  "model": "midjourney/midjourney-niji-6-t2i",
  "negative_prompt": "example_value",
  "prompt": "example_value",
  "quality": "0.5",
  "raw": false,
  "seed": -1,
  "style_reference": "example_value",
  "style_weight": 100,
  "stylize": 100,
  "tile": false,
  "weird": 0
}
'
import requests

url = "https://api.siray.ai/v1/images/generations/async"

payload = {
"aspect_ratio": "1:1",
"chaos": 0,
"model": "midjourney/midjourney-niji-6-t2i",
"negative_prompt": "example_value",
"prompt": "example_value",
"quality": "0.5",
"raw": False,
"seed": -1,
"style_reference": "example_value",
"style_weight": 100,
"stylize": 100,
"tile": False,
"weird": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
aspect_ratio: '1:1',
chaos: 0,
model: 'midjourney/midjourney-niji-6-t2i',
negative_prompt: 'example_value',
prompt: 'example_value',
quality: '0.5',
raw: false,
seed: -1,
style_reference: 'example_value',
style_weight: 100,
stylize: 100,
tile: false,
weird: 0
})
};

fetch('https://api.siray.ai/v1/images/generations/async', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": "success",
  "data": {
    "task_id": "<string>"
  },
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication using API key

Body

application/json

Request payload

Request format for image generation models

aspect_ratio
enum<string>
required

Aspect ratio

Available options:
1:1,
9:16,
16:9,
4:3,
3:4,
3:2,
2:3
model
enum<string>
required

Model name to use for the request

Available options:
midjourney/midjourney-niji-6-t2i
prompt
string
required

Text prompt for generation

chaos
integer

Chaos parameter: influences variation in initial image grids (0-100)

Required range: 0 <= x <= 100
negative_prompt
string

Negative prompt to specify what should not appear in the generation

quality
enum<string>

Quality option

Available options:
0.5,
1,
2
raw
boolean

Raw mode: reduces Midjourney's default aesthetic processing

seed
integer

Random seed for generation

Required range: -1 <= x <= 9999999999
style_reference
string

Style reference for generation, can be an image URL, a numeric value, or "random"

style_weight
number
default:100

Weight of the style reference (0-1000)

Required range: 0 <= x <= 1000
stylize
integer
default:100

Stylize parameter: how strongly Midjourney's aesthetic is applied (0-1000)

Required range: 0 <= x <= 1000
tile
boolean

Tile mode: generates images that can be used as repeating tiles

weird
integer

Weird parameter: introduces unusual aesthetics to generated images (0-3000)

Required range: 0 <= x <= 3000

Response

200 - application/json

Successful response

Standard async task creation response

code
string
required

Status code returned by the service

Example:

"success"

data
object
required

Response payload containing task details

message
string
required

Additional information about the request result